Get All Events

Returns all webhook events that occurred on the Lender Platform. Refine your results using query parameters.

Refining Results

  • Return Loan event history:
    webhook/v1/events?resourceType=Loan
    Note: Partner-related resources will be supported in a future release

  • Return the event history of a specified loan:
    /webhook/v1/events?resourceType=Loan&resourceId=83c5914d-90db-4ba9-b79f-f2750411b75a

  • Return the event history of Loans with Create Event:
    /webhook/v1/events?resourceType=Loan&eventType=create

  • Return the event history of a specified subscription ID:
    /webhook/v1/events?resourceType=Loan&subscriptionId=c72d5714-5bae-4054-a126-5d3c49adbde6

  • Return the event history from a range of dates:
    /webhook/v1/events?startTime=2020-06-7T22:19:35.979Z&endTime=2020-06-30T22:19:35.979Z

Note: If a startTime is not specified, results will be returned for the previous day. If an endTime is not specified, the current time will be used.

  • Paginate results by setting a starting point and limit:
    /webhook/v1/events?startTime=2020-06-29T22:19:35.979Z&endTime=2020-06-30T22:19:35.979Z&eventType=create&status=EventReceived&resourceType=Loan&start=0&limit=100
    Note: If start and limit are not specified, the first 100 events will be returned.
Query Params
string

The type of resource. Note that Partner-related resources will be supported in a future release.

string

The unique identifier of the resource the event is associated with (that is, the loan GUID).

string

The type of event to return. For example, possible values for loan resource are: Create, Update, Submit, Change, Move, Document, and Milestone.

string

The unique identifier of a subscription. If specified, the event history of the subscription will be returned.

string

Start time (in ISO8601 format) from which to retrieve events. If a startTime is not specified, the previous day will be used.

string

End time (in ISO8601 format) from which to retrieve events. If an endTime is not specified, the current time will be used.

string

Starting index or record number from which to retrieve events. The default is 1. Note that if start and limit are not specified, the first 100 events will be returned.

string

The maximum number of events to return in a page. The default value is 100. The maximum value is limited to 100. Note that if start and limit are not specified, the first 100 events will be returned.

string

Possible values are: EventReceived, SubscriptionMatched, NotificationDelivered, DeliveryAttempted

Headers
string

Bearer token

Response

Language
URL
Response
Choose an example:
application/json